Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine.pool
Interface ItemPool

All Superinterfaces
  Pool

All Known Implementing Classes:
  ItemPoolImpl

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface ItemPool

extends Pool

Represents a collection of ItemObject(s). The ItemPool interface provides methods for querying the underlying objects and also to remove objects from the working collection.

Method Summary
`PoolQuery` | `getByPrice(PoolQuery query)` Deprecated See BEA Commerce product offering
`Map` | `getCurrentMap()` Deprecated See BEA Commerce product offering
`int` | `getCurrentSize()` Deprecated See BEA Commerce product offering
`Quote` | `getQuote()` Deprecated See BEA Commerce product offering
`String` | `toString(int control)` Deprecated See BEA Commerce product offering

Methods inherited from interface com.bea.commerce.ebusiness.price.engine.pool.Pool
`adjust, adjust, getCurrency, getDetail, remove, remove`

Method Detail

### getCurrentSize

    int getCurrentSize()

  Deprecated See BEA Commerce product offering

### getQuote

    Quote getQuote()

  Deprecated See BEA Commerce product offering

### getByPrice

    PoolQuery getByPrice(PoolQuery query)

  Deprecated See BEA Commerce product offering

### getCurrentMap

    Map getCurrentMap()

  Deprecated See BEA Commerce product offering

  Returns the set of objects that make up the pool.

  Returns
    List returns the collection of ItemPoolObjects that make up the pool.
  See Also
    `ItemObject`

### toString

    String toString(int control)

  Deprecated See BEA Commerce product offering

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved